#==================================================================================================
# package      DE_EPAGES::GuidedTour::t::unit::GuidedTourWordingHandler
# state        public
#--------------------------------------------------------------------------------------------------
# description  Tests for DE_EPAGES::GuidedTour::t::unit::GuidedTourWordingHandler
#==================================================================================================
package DE_EPAGES::GuidedTour::t::unit::GuidedTourWordingHandler;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::GuidedTour::API::Tools qw (Contains);
use Test::More;
use strict;

sub test {
    my $self = shift;

    $self->testContains_ValidValues();
    $self->testContains_EmptyString();
    $self->testContains_EmptySubString();
    $self->testContains_UndefinedString();
    $self->testContains_UndefinedSubString();
    $self->testContains_SubsetValues();

    done_testing();
}

sub testContains_ValidValues {

    my $ReturnValue = Contains('TestString1,TestString2','TestString1');
    is($ReturnValue,'1','contains with valid values');

    return;
}

sub testContains_EmptyString {

    my $ReturnValue = Contains('','TestString1');
    is($ReturnValue,'0','contains with empty string');

    return;
}

sub testContains_EmptySubString {

    my $ReturnValue = Contains('TestString','');
    is($ReturnValue,'0','contains with empty substring');

    return;
}

sub testContains_UndefinedString {

    my $ReturnValue = Contains(undef,'TestString');
    is($ReturnValue,'0','contains with undefined substring');

    return;
}

sub testContains_UndefinedSubString {

    my $ReturnValue = Contains('TestString',undef);
    is($ReturnValue,'0','contains with undefined substring');

    return;
}

sub testContains_SubsetValues {

    my $ReturnValue = Contains('TestString','Test');
    is($ReturnValue,'0','contains with sub string');

    return;
}

__PACKAGE__->runScript();
